diff --git a/doc/src/sgml/protocol.sgml b/doc/src/sgml/protocol.sgml
index 46d7e19f10..5ad37b0487 100644
--- a/doc/src/sgml/protocol.sgml
+++ b/doc/src/sgml/protocol.sgml
@@ -1696,6 +1696,13 @@ psql "dbname=postgres replication=database" -c "IDENTIFY_SYSTEM;"
  <xref linkend="app-pgrecvlogical"/> (for logical replication).
 </para>
 
+<para>
+Where replication=database, simple queries may be executed. Other than access to decoded
+sets and physical files, there are no special rules for permissions on such queries.  This means
+programs can combine logical replication with other operations, but no parameterized queries
+may be used.
+</para>
+
 <para>
 Replication commands are logged in the server log when
 <xref linkend="guc-log-replication-commands"/> is enabled.
